<mat-toolbar color="primary">
  <button mat-icon-button (click)="sidenavToggle()">
    <mat-icon>menu</mat-icon>
  </button>
  <span>Angular Template</span> <span flex class="toolbar-spacer"></span>
  <button mat-icon-button [matMenuTriggerFor]="appSettings">
    <mat-icon>more_vert</mat-icon>
  </button>
  <img
    class="user-photoURL"
    *ngIf="(auth.user$ | async) as user"
    [src]="user.photoURL"
  />
</mat-toolbar>

<mat-menu #appSettings>
  <button mat-menu-item>
    <mat-icon>settings</mat-icon>
    <span>Settings</span>
  </button>
  <button mat-menu-item>
    <mat-icon>help</mat-icon>
    <span>Help</span>
  </button>
  <button mat-menu-item>
    <mat-icon>info</mat-icon>
    <span>About</span>
  </button>
</mat-menu>
